Subject: Re: bug#79253: Add timestamps to *Messages*

From: Michael Albinus <[email-masked]>
Date: Sat, 16 Aug 2025 09:44:18 +0200

"R. Diez" via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Hi all:

Hi,

> I am trying to debug a Tramp problem, and I need associate Tramp debug log entries with entries in the *Messages* buffer.
>
> This is hard to do, because the *Messages* buffer has no timestamps.
>
> Some other people have had this problem before:
>
> https://emacs.stackexchange.com/questions/32150/how-to-add-a-timestamp-to-each-entry-in-emacs-messages-buffer
>
> The trouble is, there is not one solution, but a few of them, with different activation procedures. I gets complicated because minibuffer vs *Messages*, and because of the "[3 times]" markers upon repetition.
>
> I am not very proficient at Lisp, and I couldn't make it out. The "advice" method is a kludge anyway.
>
> Could you implement an easy way to add timestamps to the *Messages* buffer?

What is wrong with Tramp's debug buffers? They provide timestamps.

Personally, I don't believe we shall add such a general "improvement" to
the *Messages* buffer. It is a simple mean to show messages sent to
it. The contents of a message, including a timestamp, is the
responsibility of the sender.

But that's my understanding; people might see it different.

> Thanks in advance,
>   rdiez

Best regards, Michael.